Fix setting of environment variable "ver" on trab board
Patch by Martin Krause, 27 Oct 2005

The environment variable "ver" is now set before do_auto_update() is 
called, so that "ver" could be used in USB update scripts.

---
commit 01d635ca382a3ebe3a57a31097797eb2292ef947
tree 626a6ec97a442c7d1db4f43c49809648d32924d5
parent ac15cfeb067a62261043381433fb12f3dc212502
author Martin Krause <mkr@tq-sewsrv-4> Thu, 27 Oct 2005 16:24:48 +0200
committer Martin Krause <mkr@tq-sewsrv-4> Thu, 27 Oct 2005 16:24:48 +0200

 board/trab/trab.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

diff --git a/board/trab/trab.c b/board/trab/trab.c
index 7d935b3..3044ff6 100644
--- a/board/trab/trab.c
+++ b/board/trab/trab.c
@@ -184,6 +184,19 @@ int misc_init_r (void)
 	uchar *str;
 	int i;
 
+#ifdef CONFIG_VERSION_VARIABLE
+	{
+		/* Set version variable. Please note, that this variable is
+		 * also set in main_loop() later in the boot process. The
+		 * version variable has to be set this early, because so it
+		 * could be used in script files on an usb stick, which
+		 * might be called during do_auto_update() */
+		extern char version_string[];
+
+		setenv ("ver", version_string);
+	}
+#endif /* CONFIG_VERSION_VARIABLE */
+
 #ifdef CONFIG_AUTO_UPDATE
 	extern int do_auto_update(void);
 	/* this has priority over all else */
